#delimit ;
*couples_morg.do ;
capture log close ;
log using "F:\Schwartz\cps_historical\filecreation\couples_morg.log",replace ;
set more 1 ;
clear ;
program drop _all ;
set mem 1000m ;




foreach num of numlist 79/83 { ;


     use hhid lineno minsamp year weight sex age marital
         gradeat gradecp relahh state intmonth hhnum
         race ethnic
         using "F:\Schwartz\cps_historical\raw\morg\morg`num'" ;


     sort hhid lineno year ;
     tempfile temp`num' ;
     quietly save `temp`num'' ;


} ;

foreach num of numlist 84/88 { ;


     use hhid lineno minsamp year weight sex age marital
         gradeat gradecp relahh pfamrel state intmonth  hhnum
         race ethnic
         using "F:\Schwartz\cps_historical\raw\morg\morg`num'" ;


     sort hhid lineno year ;
     tempfile temp`num' ;
     quietly save `temp`num'' ;


} ;


foreach num of numlist 89/91 { ;


     use hhid lineno minsamp year weight sex age marital
         gradeat gradecp pfamrel state intmonth hhnum
         race ethnic
         using "F:\Schwartz\cps_historical\raw\morg\morg`num'" ;


     sort hhid lineno year ;
     tempfile temp`num' ;
     quietly save `temp`num'' ;


} ;


foreach num of numlist 92/93 { ;


     use hhid lineno minsamp year weight sex age marital
         pfamrel grade92 state intmonth hhnum
         race ethnic
         using "F:\Schwartz\cps_historical\raw\morg\morg`num'" ;


     sort hhid lineno year ;
     tempfile temp`num' ;
     quietly save `temp`num'' ;


} ;


foreach num of numlist 94/99 { ;


     use hhid lineno minsamp year weight sex age marital
         pfamrel grade92 state intmonth hhnum
         race ethnic penatvty
         using "F:\Schwartz\cps_historical\raw\morg\morg`num'" ;


     sort hhid lineno year ;
     tempfile temp`num' ;
     quietly save `temp`num'' ;


} ;

foreach num in 00 01 02 03 { ;


     use hhid lineno minsamp year weight sex age marital
         pfamrel grade92 state intmonth hhnum
         race ethnic penatvty
         using "F:\Schwartz\cps_historical\raw\morg\morg`num'" ;


     sort hhid lineno year ;
     tempfile temp1`num' ;
     quietly save `temp1`num'' ;


} ;



clear ;
set mem 800m ;


use `temp79' ;


 foreach num of numlist 80/103 { ;

  append using `temp`num'' ;

 } ;



tab year ;



 #delimit cr


    ****Now define married couples***



    sort year hhid lineno



   *Identify married people (spouse present)



        gen m = (marital == 1 | marital == 2)  /*1= civilian spouse present
                                                 2= AF spouse present*/


        tab marital m

        tab year m, row
        keep if m == 1



   *Keep married couples


       /*RELAHH exists from 1979 through 1988, but only use throgh 1983.
         Test the sensitivity of my results to this change.*/

       gen m_early = ((relahh  == 1 | relahh  == 3) & (year >= 1979 & year < 1988))

       tab relahh m_early


       /*PFAMREL exists from Code valid from 1984 on.*/

       gen m_late  = ((pfamrel == 1 | pfamrel == 2) & (year >= 1984 & year <= 2003))

       tab pfamrel m_late


       tab m_early m_late

       keep if m_early == 1 | m_late == 1

       tab m_early m_late



   *Drop if there is more than one married couple in the household


       bysort year intmonth minsamp state hhnum hhid: egen summ = sum(m)


       tab summ
       tab year if summ ~= 2

       drop if summ ~= 2


   *Drop if they appear to be same sex.


       bysort year intmonth minsamp state hhnum hhid: egen sumsex = sum(sex)
       tab sumsex

       keep if sumsex == 3



       #delimit cr



   *Look at cases by year

    tab year




  #delimit ;

 *Educational attainment.

  NOTE: The variables which indicate educational attainment
        switched in 1992. Pre-1992 there are two varaibles
        that need to be used to construct a highest grade
        of school completed variable: grdhi (hiest grade
        attended) and grdcom (highest grade completed). In
        1992 and after, there is a single variable, grdatn,
        which indicates highest grade completed. Therefore,
        I have to do the coding in two steps. (However,
        1992 has both sets of variables)       -crs 9/6/01


  NOTE: I am creating four different educational attainment
        variables here.  The versions are as follows:

        (1) "Standard" version.  This verion follows the
            recommendations outlined by economists.

            Pre change:               Post change:
            HGA but not C             12 no diploma =
            13 = 13                   12


        (2) Pre change:               Post change:
            HGA but not C             12 no diploma =
            13 = 13                   11


        (3) Pre change:               Post change:
            HGA but not C             12 no diploma =
            13 = 12                   12


        (4) Pre change:               Post change:
            HGA but not C             12 no diploma =
            13 = 12                   11


        -crs 4/19/05 ;




   gen ogrdhi = gradeat ;

   rename gradeat grdhi ;

   replace grdhi = grdhi - 1 if gradecp == 2 & grdhi ~= 13;


   sort year ;

   list ogrdhi grdhi gradecp in 1/50 ;


   recode grdhi -1 = 0 ;


   gen edE = grdhi if year >= 1962 & year <= 1991 ;

   lab var edE "ed attain, through 1991" ;

    *Also make a variable where I do not allow for special exceptions
    *for 13 years of schooling to test the sensitivity of my results
    *to this categorization ;

     gen grdhiv2 = ogrdhi ;
     replace grdhiv2 = ogrdhi - 1 if gradecp == 2  ;
     recode grdhiv2 -1 = 0 ;
     list ogrdhi grdhi grdhiv2 gradecp in 1/20 ;

     gen edEv2 = grdhiv2 ;





  *1992-2003 ;
   gen edL = grade92 if year >= 1992 & year <= 2003 ;

   lab var edL "ed attain, 1992-2003" ;

  *Convert these values the best I can to numeric 'years of
   school completed' vars.  These values are the same for
   2001-2003 (I downloaded these data from NBER).


  *
     Code:

                Less than 1st grade                                         31
                1st, 2nd, 3rd or 4th grade                                  32
                5th or 6th grade                                            33
                7th or 8th grade                                            34
                9th grade                                                   35
                10th grade                                                  36
                11th grade                                                  37
                12th grade or no diploma                                    38
                High school graduate - High school diploma or equivalent    39
                Some college but no degree                                  40
                Associate's degree in college - occupational/vocational     41
                Associate's degree in college - academic                    42
                Bachelor's degree (e.g., BA, BS, AB)                        43
                Master's degree (e.g., MA, MS, MEng, MEd, MSW, MBA)         44
                Professional school degree (e.g.: MD, DDS, DVM, LLB, JD)    45
                Doctorate degree (e.g., PhD, EdD)                           46

  ;
   gen     educ = edE     if                                   year >=1962 & year <=1991 ;

   replace educ = 0  if edL == 00 | edL == 31                & year >=1992 & year <=2003 ;

   replace educ = 4  if edL == 32                            & year >=1992 & year <=2003 ;

   replace educ = 6  if edL == 33                            & year >=1992 & year <=2003 ;

   replace educ = 8  if edL == 34                            & year >=1992 & year <=2003 ;

   replace educ = 9  if edL == 35                            & year >=1992 & year <=2003 ;

   replace educ = 10 if edL == 36                            & year >=1992 & year <=2003 ;

   replace educ = 11 if edL == 37                            & year >=1992 & year <=2003 ;

   replace educ = 12 if edL == 38 | edL == 39                & year >=1992 & year <=2003 ;

   replace educ = 13 if edL == 40 | edL == 41 | edL == 42    & year >=1992 & year <=2003 ;

  /*14*/
   replace educ = 16 if edL == 43                            & year >=1992 & year <=2003 ;

   replace educ = 18 if edL >= 44 & edL <= 46                & year >=1992 & year <=2003 ;


   tab grade92 educ ;
   tab grdhi educ ;



   ***Make education classification VERSION 2 ;

   gen     educv2 = edE     if                                   year >=1962 & year <=1991 ;
   replace educv2 = 0  if edL == 00 | edL == 31                & year >=1992 & year <=2003 ;
   replace educv2 = 4  if edL == 32                            & year >=1992 & year <=2003 ;
   replace educv2 = 6  if edL == 33                            & year >=1992 & year <=2003 ;
   replace educv2 = 8  if edL == 34                            & year >=1992 & year <=2003 ;
   replace educv2 = 9  if edL == 35                            & year >=1992 & year <=2003 ;
   replace educv2 = 10 if edL == 36                            & year >=1992 & year <=2003 ;
   replace educv2 = 11 if edL == 37 | edL == 38                & year >=1992 & year <=2003 ;
   replace educv2 = 12 if edL == 39                            & year >=1992 & year <=2003 ;
   replace educv2 = 13 if edL == 40 | edL == 41 | edL == 42    & year >=1992 & year <=2003 ;
   replace educv2 = 16 if edL == 43                            & year >=1992 & year <=2003 ;
   replace educv2 = 18 if edL >= 44 & edL <= 46                & year >=1992 & year <=2003 ;


   ***Make education classification VERSION 3 ;

   gen     educv3 = edEv2   if                                   year >=1962 & year <=1991 ;
   replace educv3 = 0  if edL == 00 | edL == 31                & year >=1992 & year <=2003 ;
   replace educv3 = 4  if edL == 32                            & year >=1992 & year <=2003 ;
   replace educv3 = 6  if edL == 33                            & year >=1992 & year <=2003 ;
   replace educv3 = 8  if edL == 34                            & year >=1992 & year <=2003 ;
   replace educv3 = 9  if edL == 35                            & year >=1992 & year <=2003 ;
   replace educv3 = 10 if edL == 36                            & year >=1992 & year <=2003 ;
   replace educv3 = 11 if edL == 37                            & year >=1992 & year <=2003 ;
   replace educv3 = 12 if edL == 38 | edL == 39                & year >=1992 & year <=2003 ;
   replace educv3 = 13 if edL == 40 | edL == 41 | edL == 42    & year >=1992 & year <=2003 ;
   replace educv3 = 16 if edL == 43                            & year >=1992 & year <=2003 ;
   replace educv3 = 18 if edL >= 44 & edL <= 46                & year >=1992 & year <=2003 ;


   ***Make education classification VERSION 4 ;

   gen     educv4 = edEv2   if                                   year >=1962 & year <=1991 ;
   replace educv4 = 0  if edL == 00 | edL == 31                & year >=1992 & year <=2003 ;
   replace educv4 = 4  if edL == 32                            & year >=1992 & year <=2003 ;
   replace educv4 = 6  if edL == 33                            & year >=1992 & year <=2003 ;
   replace educv4 = 8  if edL == 34                            & year >=1992 & year <=2003 ;
   replace educv4 = 9  if edL == 35                            & year >=1992 & year <=2003 ;
   replace educv4 = 10 if edL == 36                            & year >=1992 & year <=2003 ;
   replace educv4 = 11 if edL == 37 | edL == 38                & year >=1992 & year <=2003 ;
   replace educv4 = 12 if edL == 39                            & year >=1992 & year <=2003 ;
   replace educv4 = 13 if edL == 40 | edL == 41 | edL == 42    & year >=1992 & year <=2003 ;
   replace educv4 = 16 if edL == 43                            & year >=1992 & year <=2003 ;
   replace educv4 = 18 if edL >= 44 & edL <= 46                & year >=1992 & year <=2003 ;



 *Sex ;
 gen male = (sex == 1) ;


 *Define white (1), black (2), other (3), RACE variable
  Other includes those of mixed races in 2003 ;

  tab race ;

  gen race_c = race ;
  recode race_c 3/21 = 3 ;

  tab race race_c ;



 *Define hispanic variable ;

  tab ethnic, miss ;
  tab race ethnic, miss ;



  *I'd want to replace the don't know's and no answers
  *with missings here if I were using this in the analysis.
  *But it's only included for exploratory purposes for now. ;


  gen hisp = 0 ;
  replace hisp = 1 if (ethnic >= 1 & ethnic <= 7 & year <= 2002) ;
  replace hisp = 1 if (ethnic >= 1 & ethnic <= 5 & year == 2003) ;

  tab ethnic hisp ;


 *Define nativity var ;
  gen native = (penatvty == 57 | penatvty == 60 | penatvty == 66 | penatvty == 72 | penatvty == 78) ;
  tab penatvty native ;
  replace native = . if year < 1994 ;

  tab native ;



 #delimit ;
 rename year   y ;

 rename age     a ;

 rename educ    ed;
 rename educv2  edv2;
 rename educv3  edv3;
 rename educv4  edv4;

 rename race_c  r ;
 rename hisp    hsp ;
 rename native  nv ;




 ********************************
 * Make husband/wife variables  *
 ******************************** ;


 keep  a ed edv* male r hsp nv weight y intmonth minsamp state hhnum hhid ;

 gen hage = a if male == 1  ;
 gen wage = a if male == 0  ;

 gen hed = ed if male == 1  ;
 gen wed = ed if male == 0  ;

 gen hedv2 = edv2 if male == 1  ;
 gen wedv2 = edv2 if male == 0  ;

 gen hedv3 = edv3 if male == 1  ;
 gen wedv3 = edv3 if male == 0  ;

 gen hedv4 = edv4 if male == 1  ;
 gen wedv4 = edv4 if male == 0  ;

 gen hr = r if male == 1  ;
 gen wr = r if male == 0  ;

 gen hhsp = hsp if male == 1  ;
 gen whsp = hsp if male == 0  ;

 gen hnv = nv if male == 1  ;
 gen wnv = nv if male == 0  ;




***Weight the data according to the final person
   weight of the female ;

 gen     WEIGHT = weight if male == 0 ;
 replace WEIGHT = 0 if WEIGHT == . & male == 0 ;

 quietly compress ;

 gen hhcount = 1 ;

 *************************************************
 * CREATE COUPLE-LEVEL FILE                      *
 ************************************************* ;

 *my collapse command isn't working with y as a
  4 digit varaible. try it as a two digit variable.
  it works much better this way. ;
 gen oy = y ;

 replace y = oy - 1900 ;

 tab y ;

 *Make sure the data look right ;
  sort y intmonth minsamp state hhnum hhid ;

  list y intmonth minsamp state hhnum hhid hage wage hed wed male WEIGHT in 1/15 ;


 *First collapse: couple-level file ;
  collapse (mean) hage wage hed wed hr wr hhsp whsp hnv wnv hedv2 hedv3 hedv4 wedv2 wedv3 wedv4 WEIGHT (sum) hhcount, by(y intmonth minsamp state hhnum hhid) ;

 *Make sure the data look right ;
  sort y intmonth minsamp state hhnum hhid ;

  list y intmonth minsamp state hhnum hhid hage wage hed wed WEIGHT in 1/15 ;


 *drop those who dont have a spouse record, but first
  create a flag ;

  gen nospouse = (hage == . | wage == .) ;

  tab nospouse ;

  display _N ;

  drop if nospouse == 1 ;

 display _N ;

 *Drop those with more than 2 people in household. We don't
  know which people form the marital unit ;

 gen drop10 = (hhcount > 2) ;

 tab drop10 ;


 drop if drop10 == 1 ;

 display _N ;

 gen drop11 = (hed == . | wed == .) ;

 tab drop11;


 drop if drop11 == 1 ;

 display _N ;


 tab hage, miss;
 tab wage, miss;
 tab hed,  miss;
 tab wed,  miss;


 quietly compress ;

 *collapse by cpsmonth ;

 gen hedc = hed ;
 gen wedc = wed ;

 recode hedc 0/9=1 10/11=2 12=3 13/15= 4 16/18 = 5 ;
 recode wedc 0/9=1 10/11=2 12=3 13/15= 4 16/18 = 5 ;

 gen hedcv2 = hedv2 ;
 gen wedcv2 = wedv2 ;

 recode hedcv2 0/9=1 10/11=2 12=3 13/15= 4 16/18 = 5 ;
 recode wedcv2 0/9=1 10/11=2 12=3 13/15= 4 16/18 = 5 ;

 gen hedcv3 = hedv3 ;
 gen wedcv3 = wedv3 ;

 recode hedcv3 0/9=1 10/11=2 12=3 13/15= 4 16/18 = 5 ;
 recode wedcv3 0/9=1 10/11=2 12=3 13/15= 4 16/18 = 5 ;

 gen hedcv4 = hedv4 ;
 gen wedcv4 = wedv4 ;

 recode hedcv4 0/9=1 10/11=2 12=3 13/15= 4 16/18 = 5 ;
 recode wedcv4 0/9=1 10/11=2 12=3 13/15= 4 16/18 = 5 ;

  gen hedc_o = hed ;
  gen wedc_o = wed ;


 recode hedc_o 0/9=1 10/11=2 12=3 13/15= 4 16/18 = 5 ;
 recode wedc_o 0/9=1 10/11=2 12=3 13/15= 4 16/18 = 5 ;



  gen hedc_g = hed ;
  gen wedc_g = wed ;

 recode hedc_g 0/11=1 12=2 13/15= 3 16 = 4 17/18 = 5 ;
 recode wedc_g 0/11=1 12=2 13/15= 3 16 = 4 17/18 = 5 ;


  gen hedc_d = hed ;
  gen wedc_d = wed ;

 recode hedc_d 0/9 = 1 10/11=2 12=3 13/15= 4 16 = 5 17/18 = 6 ;
 recode wedc_d 0/9 = 1 10/11=2 12=3 13/15= 4 16 = 5 17/18 = 6 ;


  lab def edc_g 1 "1:lt12"
                2 "2:12"
                3 "3:13-15"
                4 "4:16"
                5 "5:gt16" ;

  lab val hedc_g edc_g ;
  lab val wedc_g edc_g ;

  lab def edc_o 1 "1:lt10"
                2 "2:10-11"
                3 "3:12"
                4 "4:13-15"
                5 "5:ge16" ;

  lab val hedc_o edc_o ;
  lab val wedc_o edc_o ;


  lab def edc_d 1 "1:lt10"
                2 "2:10-11"
                3 "3:12"
                4 "4:13-15"
                5 "5:16"
                6 "6:gt16" ;

  lab val hedc_d edc_d ;
  lab val wedc_d edc_d ;


  lab def r 1 "1:white" 2 "2:black" 3 "3:other" ;
  lab val hr r ;
  lab val wr r ;


  ***Create the most detailed measure of education
     that is still relatively consistent across
     years.  Use Park (1996:426) 10 category
     scheme. ;

  gen hedc_dd = hed ;
  gen wedc_dd = wed ;

 recode hedc_dd 0=1 1/4=2 5/8=3 9=4 10=5 11=6 12=7 13/15=8 16=9 17/18=10 ;
 recode wedc_dd 0=1 1/4=2 5/8=3 9=4 10=5 11=6 12=7 13/15=8 16=9 17/18=10 ;

  lab def edc_dd 1 "1:lt1"
                 2 "2:1-4"
                 3 "3:5-8"
                 4 "4:9"
                 5 "5:10"
                 6 "6:11"
                 7 "7:12"
                 8 "8:13-15"
                 9 "9:16"
                10 "10:gt16" ;

  lab val hedc_dd edc_dd ;
  lab val wedc_dd edc_dd ;


  label var hedc "H's Ed: <10,10-11,12,13-15,16+" ;
  label var wedc "W's Ed: <10,10-11,12,13-15,16+" ;
  label var hedc_o "H's Ed: <10,10-11,12,13-15,16+" ;
  label var wedc_o "W's Ed: <10,10-11,12,13-15,16+" ;
  label var hedc_g "H's Ed: <12,13-15,16+" ;
  label var wedc_g "W's Ed: <12,13-15,16+" ;
  label var hedc_d "H's Ed: <12,13-15,16,>16" ;
  label var wedc_d "W's Ed: <12,13-15,16,>16" ;
  label var hedc_dd "H's Ed: 10 cat" ;
  label var wedc_dd "W's Ed: 10 cat" ;
  label var hr      "H's race, 3 cat" ;
  label var wr      "W's race, 3 cat" ;
  label var whsp    "H hispanic" ;
  label var hhsp    "W hispanic" ;
  label var wnv     "H native" ;
  label var hnv     "W native" ;
  label var hedcv2 "H's Ed V2: <10,10-11,12,13-15,16+" ;
  label var wedcv2 "W's Ed V2: <10,10-11,12,13-15,16+" ;
  label var hedcv3 "H's Ed V3: <10,10-11,12,13-15,16+" ;
  label var wedcv3 "W's Ed V3: <10,10-11,12,13-15,16+" ;
  label var hedcv4 "H's Ed V4: <10,10-11,12,13-15,16+" ;
  label var wedcv4 "W's Ed V4: <10,10-11,12,13-15,16+" ;










 describe ;


*keep only the vars I want ;

 drop drop* nospouse ;

*labels ;

 lab var y "year" ;
 lab var hedc "husband's ed cat" ;
 lab var wedc "wife's ed cat" ;


save "F:\Schwartz\cps_historical\data\couples_morg.dta",replace ;

 log close ;

