#delimit ;
*newly_tab.do ;
capture log close ;
log using "F:\Schwartz\cps_historical\filecreation\newlyweds\newly_tabpub.log",replace ;
set more 1 ;
clear ;
program drop _all ;
set mem 600m ;



#delimit cr

use "F:\Schwartz\cps_historical\data\newly_tab.dta"


collapse (sum) WEIGHT freq, by(wedc hedc y cps)

tab y cps [w=freq]
display _N


gen yc = y

recode yc  71/74=72 75/79=77 80/84=82 85/89=87 90/95=92

tab yc
bysort cps: tab y yc


display _N

preserve
collapse (sum) freq, by(y cps)
display _N
restore


*******************************
* SECTION 1: CREATE VARIABLES *
*******************************



   ***Recode year into four digits

      replace y = y + 1900
      replace yc = yc + 1900



   ***Look at the file

      tab y cps [w=freq]



   ***Census indicator

      gen cen = (cps == 0)


   ***Create an indicator for new vs. old ed question.


   gen newed = ((cps == 1 & y >= 1992)  | (cps == 0 & y >= 1990))

   bysort cps: tab y newed

   #delimit ;

   ******************
   * WEIGHTING CODE *
   ****************** ;


   ***To weight the data, follow Agresti page 391 section 9.7.5.

      zi = the total weighted frequency divided by the cell
      count.  In my case, this is:

      WEIGHT/freq = zi

      Loglinear models for the weighted expected frequencies
      (zi*mui = mui/ti) with ti = 1/zi expresses the model as
      a standard loglinear model for logmui with offset
      (logti = -logzi).

      What this means is the offset is equal to:

      -ln(zi)

      crs 2/25/04 ;


   #delimit cr


   gen zi      = (WEIGHT/freq)
   gen neglnzi = -ln(zi)

  *Deal with zero cells
   replace neglnzi = 0 if neglnzi == .

   display _N



  **Drop the CPS variable so peopel don't get confused
    drop cps



  *Labels

   lab var y       "year (single years)"
   lab var cen     "data source:1=census, 0=cps"
   lab var WEIGHT  "normed person weight of wife"
   lab var freq    "cell frequency"
   lab var newed   "ed q version: 1=new, 0=old"
   lab var zi      "WEIGHT/freq"
   lab var neglnzi "-ln(zi), offset"
   lab var yc      "year (approx 5-year intervals)"


save "F:\Schwartz\cps_historical\data\newly_tabpub.dta", replace

