infix using schwa052.dct

/*Important: you need to put the .dat, .do, and .dct files all in one folder/directory
  and then set the working folder to that folder.*/

label var year "Census year"
label var serial "Household serial number"
label var gq "Group quarters status"
label var pernum "Person number in sample unit"
label var perwt "Person weight"
label var sploc "Location of spouse in household"
label var age "Age"
label var sex "Sex"
label var raceg "Race -- General"
label var marst "Marital status"
label var agemarr "Age at first marriage"
label var bplg "Birthplace -- General"
label var nativity "Nativity recode"
label var hispang "Hispanic origin -- General"
label var school "School attendance"
label var educrec "Educational attainment recode"
label var higraded "Highest grade of schooling -- Detailed"
label var educ99 "Educational attainment, 1990"
label var empstatd "Employment status -- Detailed"
label var labforce "Labor force status"
label var classwkd "Class of worker -- Detailed"
label var wkswork2 "Weeks worked last year, intervalled"
label var hrswork1 "Hours worked last week"
label var hrswork2 "Hours worked last week, intervalled"
label var uhrswork "Usual hours worked per week"
label var qtrunemp "Quarters unemployed last year"
label var wksunemp "Weeks unemployed last year"
label var durunemp "Continuous weeks unemployed"
label var yrlastwk "Year last worked"
label var rind "Industry, labor reserve"
label var inctot "Total personal income"
label var incwage "Wage and salary income"
label var incbusfm "Business and farm income"
label var incbus "Non-farm business income"
label var incbus00 "Business and farm income, 2000"
label var incfarm "Farm income"
label var incnonwg "Had nonwage/salary income over $50"
label var incss "Social Security income"
label var incwelfr "Welfare (public assistance) income"
label var incinvst "Interest, dividend, and rental income"
label var incretir "Retirement income"
label var incsupp "Supplementary Security Income"
label var incother "Other income"
label var incearn "Total personal earned income"
label var deducts "Deductions for retirement"
label var poverty "Poverty status"
label var birthmo "Month of birth"
label var birthqtr "Quarter of birth"
label var marrqtr "Quarter of first marriage"
label define yearlbl 00 "2000"
label define yearlbl 85 "1850", add
label define yearlbl 86 "1860", add
label define yearlbl 87 "1870", add
label define yearlbl 88 "1880", add
label define yearlbl 90 "1900", add
label define yearlbl 91 "1910", add
label define yearlbl 92 "1920", add
label define yearlbl 94 "1940", add
label define yearlbl 95 "1950", add
label define yearlbl 96 "1960", add
label define yearlbl 97 "1970", add
label define yearlbl 98 "1980", add
label define yearlbl 99 "1990", add
label values year yearlbl

label define gqlbl 0 "Vacant unit"
label define gqlbl 1 "Households under 1970 definition", add
label define gqlbl 2 "Additional households under 1990 definition", add
label define gqlbl 3 "Group quarters--Institutions", add
label define gqlbl 4 "Other group quarters", add
label define gqlbl 5 "Additional households under 2000 definition", add
label define gqlbl 6 "Fragment", add
label values gq gqlbl

label values pernum pernumlbl

label values sploc sploclbl

label values age agelbl

label define sexlbl 1 "Male"
label define sexlbl 2 "Female", add
label values sex sexlbl

label define raceglbl 1 "White"
label define raceglbl 2 "Black/Negro", add
label define raceglbl 3 "American Indian or Alaska Native", add
label define raceglbl 4 "Chinese", add
label define raceglbl 5 "Japanese", add
label define raceglbl 6 "Other Asian or Pacific Islander", add
label define raceglbl 7 "Other race, nec", add
label define raceglbl 8 "Two major races", add
label define raceglbl 9 "Three or more major races", add
label values raceg raceglbl

label define marstlbl 1 "Married, spouse present"
label define marstlbl 2 "Married, spouse absent", add
label define marstlbl 3 "Separated", add
label define marstlbl 4 "Divorced", add
label define marstlbl 5 "Widowed", add
label define marstlbl 6 "Never married/single (N/A)", add
label values marst marstlbl

label define bplglbl 001 "Alabama"
label define bplglbl 002 "Alaska", add
label define bplglbl 004 "Arizona", add
label define bplglbl 005 "Arkansas", add
label define bplglbl 006 "California", add
label define bplglbl 008 "Colorado", add
label define bplglbl 009 "Connecticut", add
label define bplglbl 010 "Delaware", add
label define bplglbl 011 "District of Columbia", add
label define bplglbl 012 "Florida", add
label define bplglbl 013 "Georgia", add
label define bplglbl 015 "Hawaii", add
label define bplglbl 016 "Idaho", add
label define bplglbl 017 "Illinois", add
label define bplglbl 018 "Indiana", add
label define bplglbl 019 "Iowa", add
label define bplglbl 020 "Kansas", add
label define bplglbl 021 "Kentucky", add
label define bplglbl 022 "Louisiana", add
label define bplglbl 023 "Maine", add
label define bplglbl 024 "Maryland", add
label define bplglbl 025 "Massachusetts", add
label define bplglbl 026 "Michigan", add
label define bplglbl 027 "Minnesota", add
label define bplglbl 028 "Mississippi", add
label define bplglbl 029 "Missouri", add
label define bplglbl 030 "Montana", add
label define bplglbl 031 "Nebraska", add
label define bplglbl 032 "Nevada", add
label define bplglbl 033 "New Hampshire", add
label define bplglbl 034 "New Jersey", add
label define bplglbl 035 "New Mexico", add
label define bplglbl 036 "New York", add
label define bplglbl 037 "North Carolina", add
label define bplglbl 038 "North Dakota", add
label define bplglbl 039 "Ohio", add
label define bplglbl 040 "Oklahoma", add
label define bplglbl 041 "Oregon", add
label define bplglbl 042 "Pennsylvania", add
label define bplglbl 044 "Rhode Island", add
label define bplglbl 045 "South Carolina", add
label define bplglbl 046 "South Dakota", add
label define bplglbl 047 "Tennessee", add
label define bplglbl 048 "Texas", add
label define bplglbl 049 "Utah", add
label define bplglbl 050 "Vermont", add
label define bplglbl 051 "Virginia", add
label define bplglbl 053 "Washington", add
label define bplglbl 054 "West Virginia", add
label define bplglbl 055 "Wisconsin", add
label define bplglbl 056 "Wyoming", add
label define bplglbl 090 "Native American", add
label define bplglbl 099 "United States, ns", add
label define bplglbl 100 "American Samoa", add
label define bplglbl 105 "Guam", add
label define bplglbl 110 "Puerto Rico", add
label define bplglbl 115 "U.S. Virgin Islands", add
label define bplglbl 120 "Other US Possessions", add
label define bplglbl 150 "Canada", add
label define bplglbl 155 "St. Pierre and Miquelon", add
label define bplglbl 160 "Atlantic Islands", add
label define bplglbl 199 "North America, ns", add
label define bplglbl 200 "Mexico", add
label define bplglbl 210 "Central America", add
label define bplglbl 250 "Cuba", add
label define bplglbl 260 "West Indies", add
label define bplglbl 300 "SOUTH AMERICA", add
label define bplglbl 400 "Denmark", add
label define bplglbl 401 "Finland", add
label define bplglbl 402 "Iceland", add
label define bplglbl 403 "Lapland, n.s.", add
label define bplglbl 404 "Norway", add
label define bplglbl 405 "Sweden", add
label define bplglbl 410 "England", add
label define bplglbl 411 "Scotland", add
label define bplglbl 412 "Wales", add
label define bplglbl 413 "United Kingdom, ns", add
label define bplglbl 414 "Ireland", add
label define bplglbl 419 "Northern Europe, ns", add
label define bplglbl 420 "Belgium", add
label define bplglbl 421 "France", add
label define bplglbl 422 "Liechtenstein", add
label define bplglbl 423 "Luxembourg", add
label define bplglbl 424 "Monaco", add
label define bplglbl 425 "Netherlands", add
label define bplglbl 426 "Switerland", add
label define bplglbl 429 "Western Europe, ns", add
label define bplglbl 430 "Albania", add
label define bplglbl 431 "Andorra", add
label define bplglbl 432 "Gibraltar", add
label define bplglbl 433 "Greece", add
label define bplglbl 434 "Italy", add
label define bplglbl 435 "Malta", add
label define bplglbl 436 "Portugal", add
label define bplglbl 437 "San Marino", add
label define bplglbl 438 "Spain", add
label define bplglbl 439 "Vatican City", add
label define bplglbl 440 "Southern Europe, ns", add
label define bplglbl 450 "Austria", add
label define bplglbl 451 "Bulgaria", add
label define bplglbl 452 "Czechoslovakia", add
label define bplglbl 453 "Germany", add
label define bplglbl 454 "Hungary", add
label define bplglbl 455 "Poland", add
label define bplglbl 456 "Romania", add
label define bplglbl 457 "Yugoslavia", add
label define bplglbl 458 "Central Europe, ns", add
label define bplglbl 459 "Eastern Europe, ns", add
label define bplglbl 461 "Latvia", add
label define bplglbl 462 "Lithuania", add
label define bplglbl 463 "Baltic States, ns", add
label define bplglbl 465 "Other USSR/Russia", add
label define bplglbl 499 "Europe, ns", add
label define bplglbl 460 "Estonia", add
label define bplglbl 500 "China", add
label define bplglbl 501 "Japan", add
label define bplglbl 502 "Korea", add
label define bplglbl 509 "East Asia, ns", add
label define bplglbl 510 "Brunei", add
label define bplglbl 511 "Cambodia (Kampuchea)", add
label define bplglbl 512 "Indonesia", add
label define bplglbl 513 "Laos", add
label define bplglbl 514 "Malaysia", add
label define bplglbl 515 "Philippines", add
label define bplglbl 516 "Singapore", add
label define bplglbl 517 "Thailand", add
label define bplglbl 518 "Vietnam", add
label define bplglbl 519 "Southeast Asia, ns", add
label define bplglbl 520 "Afghanistan", add
label define bplglbl 521 "India", add
label define bplglbl 522 "Iran", add
label define bplglbl 523 "Maldives", add
label define bplglbl 524 "Nepal", add
label define bplglbl 530 "Bahrain", add
label define bplglbl 531 "Cyprus", add
label define bplglbl 532 "Iraq", add
label define bplglbl 533 "Iraq/Saudi Arabia", add
label define bplglbl 534 "Israel/Palestine", add
label define bplglbl 535 "Jordan", add
label define bplglbl 536 "Kuwait", add
label define bplglbl 537 "Lebanon", add
label define bplglbl 538 "Oman", add
label define bplglbl 539 "Qatar", add
label define bplglbl 540 "Saudi Arabia", add
label define bplglbl 541 "Syria", add
label define bplglbl 542 "Turkey", add
label define bplglbl 543 "United Arab Emirates", add
label define bplglbl 544 "Yemen Arab Republic (North)", add
label define bplglbl 545 "Yemen, PDR (South)", add
label define bplglbl 546 "Persian Gulf States, n.s.", add
label define bplglbl 547 "Middle East, ns", add
label define bplglbl 548 "Southwest Asia, nec/ns", add
label define bplglbl 549 "Asia Minor, ns", add
label define bplglbl 550 "South Asia, nec", add
label define bplglbl 599 "Asia, nec/ns", add
label define bplglbl 600 "AFRICA", add
label define bplglbl 700 "Australia and New Zealand", add
label define bplglbl 710 "Pacific Islands", add
label define bplglbl 800 "Antarctica, ns/nec", add
label define bplglbl 900 "Abroad (unknown) or at sea", add
label define bplglbl 950 "Other, nec", add
label define bplglbl 997 "Unknown", add
label define bplglbl 998 "Illegible", add
label define bplglbl 999 "Missing/blank", add
label values bplg bplglbl

label define nativitylbl 0 "N/A"
label define nativitylbl 1 "Native born, and both parents native born", add
label define nativitylbl 2 "Native born, and father foreign, mother native", add
label define nativitylbl 3 "Native born, and mother foreign, father native", add
label define nativitylbl 4 "Native born, and both parents foreign", add
label define nativitylbl 5 "Foreign born", add
label define nativitylbl 9 "Not reported", add
label values nativity nativitylbl

label define hispanglbl 0 "Not Hispanic"
label define hispanglbl 1 "Mexican", add
label define hispanglbl 2 "Puerto Rican", add
label define hispanglbl 3 "Cuban", add
label define hispanglbl 4 "Other Spanish, 1980", add
label define hispanglbl 9 "Not Reported", add
label values hispang hispanglbl

label define schoollbl 0 "N/A"
label define schoollbl 1 "No, not in school", add
label define schoollbl 2 "Yes, in school", add
label values school schoollbl

label define educreclbl 0 "N/A  or No schooling"
label define educreclbl 1 "None or preschool", add
label define educreclbl 2 "Grade 1, 2, 3, or 4", add
label define educreclbl 3 "Grade 5, 6, 7, or 8", add
label define educreclbl 4 "Grade 9", add
label define educreclbl 5 "Grade 10", add
label define educreclbl 6 "Grade 11", add
label define educreclbl 7 "Grade 12", add
label define educreclbl 8 "1 to 3 years of college", add
label define educreclbl 9 "4+ years of college", add
label values educrec educreclbl

label define higradedlbl 000 "N/A"
label define higradedlbl 010 "None", add
label define higradedlbl 011 "Did not finish nurs sch", add
label define higradedlbl 012 "Attending nurs sch", add
label define higradedlbl 020 "Nursery school", add
label define higradedlbl 021 "Did not finish kindergart", add
label define higradedlbl 022 "Attending kindergarten", add
label define higradedlbl 030 "Kindergarten", add
label define higradedlbl 031 "Did not finish 1st grade", add
label define higradedlbl 032 "Attending 1st grade", add
label define higradedlbl 040 "1st grade", add
label define higradedlbl 041 "Did not finish 2nd grade", add
label define higradedlbl 042 "Attending 2nd grade", add
label define higradedlbl 050 "2nd grade", add
label define higradedlbl 051 "Did not finish 3rd grade", add
label define higradedlbl 052 "Attending 3rd grade", add
label define higradedlbl 060 "3rd grade", add
label define higradedlbl 061 "Did not finish 4th grade", add
label define higradedlbl 062 "Attending 4th grade", add
label define higradedlbl 070 "4th grade", add
label define higradedlbl 071 "Did not finish 5th grade", add
label define higradedlbl 072 "Attending 5th grade", add
label define higradedlbl 080 "5th grade", add
label define higradedlbl 081 "Did not finish 6th grade", add
label define higradedlbl 082 "Attending 6th grade", add
label define higradedlbl 090 "6th grade", add
label define higradedlbl 091 "Did not finish 7th grade", add
label define higradedlbl 092 "Attending 7th grade", add
label define higradedlbl 100 "7th grade", add
label define higradedlbl 101 "Did not finish 8th grade", add
label define higradedlbl 102 "Attending 8th grade", add
label define higradedlbl 110 "8th grade", add
label define higradedlbl 111 "Did not finish 9th grade", add
label define higradedlbl 112 "Attending 9th grade", add
label define higradedlbl 120 "9th grade", add
label define higradedlbl 121 "Did not finish 10th grade", add
label define higradedlbl 122 "Attending 10th grade", add
label define higradedlbl 130 "10th grade", add
label define higradedlbl 131 "Did not finish 11th grade", add
label define higradedlbl 132 "Attending 11th grade", add
label define higradedlbl 140 "11th grade", add
label define higradedlbl 141 "Did not finish 12th grade", add
label define higradedlbl 142 "Attending 12th grade", add
label define higradedlbl 150 "12th grade", add
label define higradedlbl 151 "Did not finish 1st year college", add
label define higradedlbl 152 "Attending 1st yesr college", add
label define higradedlbl 160 "1st year of college", add
label define higradedlbl 161 "Did not finish 2nd year of college", add
label define higradedlbl 162 "Attending 2nd year of college", add
label define higradedlbl 170 "2nd year of college", add
label define higradedlbl 171 "Did not finish 3rd year of college", add
label define higradedlbl 172 "Attending 3rd year of college", add
label define higradedlbl 180 "3rd year of college", add
label define higradedlbl 181 "Did not finish 4th year of college", add
label define higradedlbl 182 "Attending 4th year of college", add
label define higradedlbl 190 "4th year of college", add
label define higradedlbl 191 "Did not finish 5th year of college", add
label define higradedlbl 192 "Attending 5th year of college", add
label define higradedlbl 200 "5th year or more of college (1940, 50)", add
label define higradedlbl 201 "Did not finish 6th year of college", add
label define higradedlbl 202 "Attending 6th year of college", add
label define higradedlbl 210 "6th year or more of college (1960,70)", add
label define higradedlbl 211 "Did not finish 7th year of college", add
label define higradedlbl 212 "Attending 7th year of college", add
label define higradedlbl 220 "7th year of college", add
label define higradedlbl 221 "Did not finish 8th year of college", add
label define higradedlbl 222 "Attending 8th year of college", add
label define higradedlbl 230 "8th year or more of college", add
label values higraded higradedlbl

label define educ99lbl 00 "Not applicable"
label define educ99lbl 01 "No school completed", add
label define educ99lbl 02 "Nursery school", add
label define educ99lbl 03 "Kindergarten", add
label define educ99lbl 04 "1st-4th grade", add
label define educ99lbl 05 "5th-8th grade", add
label define educ99lbl 06 "9th grade", add
label define educ99lbl 07 "10th grade", add
label define educ99lbl 08 "11th grade", add
label define educ99lbl 09 "12th grade, no diploma", add
label define educ99lbl 10 "High school graduate, or GED", add
label define educ99lbl 11 "Some college, no degree", add
label define educ99lbl 12 "Associate degree, occupational program", add
label define educ99lbl 13 "Associate degree, academic program", add
label define educ99lbl 14 "Bachelors degree", add
label define educ99lbl 15 "Masters degree", add
label define educ99lbl 16 "Professional degree", add
label define educ99lbl 17 "Doctorate degree", add
label values educ99 educ99lbl

label define empstatdlbl 00 "N/A"
label define empstatdlbl 10 "At work", add
label define empstatdlbl 11 "At work, public emerg", add
label define empstatdlbl 12 "Has job, not working", add
label define empstatdlbl 13 "Armed forces", add
label define empstatdlbl 14 "Armed forces--at work", add
label define empstatdlbl 15 "Armed forces--not at work but with job", add
label define empstatdlbl 20 "Unemployed", add
label define empstatdlbl 21 "Unemp, exper worker", add
label define empstatdlbl 22 "Unemp, new worker", add
label define empstatdlbl 30 "Not in Labor Force", add
label define empstatdlbl 31 "NILF, housework", add
label define empstatdlbl 32 "NILF, unable to work", add
label define empstatdlbl 33 "NILF, school", add
label define empstatdlbl 34 "NILF, other", add
label values empstatd empstatdlbl

label define labforcelbl 0 "N/A"
label define labforcelbl 1 "No, not in the labor force", add
label define labforcelbl 2 "Yes, in the labor force", add
label values labforce labforcelbl

label define classwkdlbl 00 "N/A"
label define classwkdlbl 10 "Self-employed", add
label define classwkdlbl 11 "Employer", add
label define classwkdlbl 12 "Working on own account", add
label define classwkdlbl 13 "Self-employed, not incorporated", add
label define classwkdlbl 14 "Self-employed, incorporated", add
label define classwkdlbl 20 "Works for wages", add
label define classwkdlbl 21 "Works on salary (1920)", add
label define classwkdlbl 22 "Wage/salary, private", add
label define classwkdlbl 23 "Wage/salary at non-profit", add
label define classwkdlbl 24 "Wage/salary, government", add
label define classwkdlbl 25 "Federal govt employee", add
label define classwkdlbl 26 "Armed forces", add
label define classwkdlbl 27 "State govt employee", add
label define classwkdlbl 28 "Local govt employee", add
label define classwkdlbl 29 "Unpaid family worker", add
label values classwkd classwkdlbl

label define wkswork2lbl 0 "N/A"
label define wkswork2lbl 1 "1-13 weeks", add
label define wkswork2lbl 2 "14-26 weeks", add
label define wkswork2lbl 3 "27-39 weeks", add
label define wkswork2lbl 4 "40-47 weeks", add
label define wkswork2lbl 5 "48-49 weeks", add
label define wkswork2lbl 6 "50-52 weeks", add
label values wkswork2 wkswork2lbl

label define hrswork2lbl 0 "N/A"
label define hrswork2lbl 1 "1-14 hours", add
label define hrswork2lbl 2 "15-29 hours", add
label define hrswork2lbl 3 "30-34 hours", add
label define hrswork2lbl 4 "35-39 hours", add
label define hrswork2lbl 5 "40 hours", add
label define hrswork2lbl 6 "41-48 hours", add
label define hrswork2lbl 7 "49-59 hours", add
label define hrswork2lbl 8 "60+ hours", add
label values hrswork2 hrswork2lbl

label values uhrswork uhrsworklbl

label define qtrunemplbl 0 "N/A"
label define qtrunemplbl 1 "Not unemployed last year", add
label define qtrunemplbl 2 "Up to one quarter unemployed last year", add
label define qtrunemplbl 3 "Two quarters unemployed", add
label define qtrunemplbl 4 "Three quarters unemployed", add
label define qtrunemplbl 5 "Four quarters unemployed", add
label values qtrunemp qtrunemplbl

label values wksunemp wksunemplbl

label values durunemp durunemplbl

label define yrlastwklbl 00 "N/A"
label define yrlastwklbl 10 "Worked current yr", add
label define yrlastwklbl 20 "Worked previous yr", add
label define yrlastwklbl 31 "Worked 2 yrs prior", add
label define yrlastwklbl 32 "Worked 2-5 yrs ago", add
label define yrlastwklbl 33 "Worked 3-5 yrs ago", add
label define yrlastwklbl 34 "Worked 3-6 yrs ago", add
label define yrlastwklbl 35 "Worked 6-10 yrs ago", add
label define yrlastwklbl 36 "Worked 7-10 yrs ago", add
label define yrlastwklbl 40 "Worked more than 10 yrs ago", add
label define yrlastwklbl 50 "Never worked", add
label values yrlastwk yrlastwklbl

label define rindlbl 0 "N/A"
label define rindlbl 1 "Ration Indians", add
label define rindlbl 2 "Prisoners", add
label define rindlbl 3 "Identified housework", add
label define rindlbl 105 "Agriculture", add
label define rindlbl 116 "Forestry", add
label define rindlbl 126 "Fisheries", add
label define rindlbl 206 "Metal mining", add
label define rindlbl 216 "Coal mining", add
label define rindlbl 226 "Crude petroleum and natural gas extraction", add
label define rindlbl 236 "Nonmettalic  mining and quarrying, except fuel", add
label define rindlbl 246 "Construction", add
label define rindlbl 306 "Logging", add
label define rindlbl 307 "Sawmills, planing mills, and mill work", add
label define rindlbl 308 "Misc wood products", add
label define rindlbl 309 "Furniture and fixtures", add
label define rindlbl 316 "Glass and glass products", add
label define rindlbl 317 "Cement, concrete, gypsum and plaster products", add
label define rindlbl 318 "Structural clay products", add
label define rindlbl 319 "Pottery and related prods", add
label define rindlbl 326 "Misc nonmetallic mineral and stone products", add
label define rindlbl 336 "Blast furnaces, steel works, & rolling mills", add
label define rindlbl 337 "Other primary iron and steel industries", add
label define rindlbl 338 "Primary nonferrous industries", add
label define rindlbl 346 "Fabricated steel products", add
label define rindlbl 347 "Fabricated nonferrous metal products", add
label define rindlbl 348 "Not specified metal industries", add
label define rindlbl 356 "Agricultural machinery and tractors", add
label define rindlbl 357 "Office and store machines", add
label define rindlbl 358 "Misc machinery", add
label define rindlbl 367 "Electrical machinery, equipment and supplies", add
label define rindlbl 376 "Motor vehicles and motor vehicle equipment", add
label define rindlbl 377 "Aircraft and parts", add
label define rindlbl 378 "Ship and boat building and repairing", add
label define rindlbl 379 "Railroad and misc transportation equipment", add
label define rindlbl 386 "Professional equipment", add
label define rindlbl 387 "Photographic equipment and supplies", add
label define rindlbl 388 "Watches, clocks, and clockwork-operated devices", add
label define rindlbl 399 "Misc manufacturing industries", add
label define rindlbl 406 "Meat products", add
label define rindlbl 407 "Dairy products", add
label define rindlbl 408 "Canning and preserving fruits, vegetables, and seafoods", add
label define rindlbl 409 "Grain-mill products", add
label define rindlbl 416 "Bakery products", add
label define rindlbl 417 "Confectionary and related products", add
label define rindlbl 418 "Beverage industries", add
label define rindlbl 419 "Misc food preparations and kindred products", add
label define rindlbl 426 "Not specified food industries", add
label define rindlbl 429 "Tobacco manufactures", add
label define rindlbl 436 "Knitting mills", add
label define rindlbl 437 "Dyeing and finishing textiles, except knit goods", add
label define rindlbl 438 "Carpets, rugs, and other floor coverings", add
label define rindlbl 439 "Yarn, thread, and fabric", add
label define rindlbl 446 "Misc textile mill products", add
label define rindlbl 448 "Apparel and accessories", add
label define rindlbl 449 "Misc fabricated textile products", add
label define rindlbl 456 "Pulp, paper, and paper-board mills", add
label define rindlbl 457 "Paperboard containers and boxes", add
label define rindlbl 458 "Misc paper and pulp products", add
label define rindlbl 459 "Printing, publishing, and allied industries", add
label define rindlbl 466 "Synthetic fibers", add
label define rindlbl 467 "Drugs and medicines", add
label define rindlbl 468 "Paints, varnishes, and related products", add
label define rindlbl 469 "Misc chemicals and allied products", add
label define rindlbl 476 "Petroleum refining", add
label define rindlbl 477 "Misc petroleum and coal products", add
label define rindlbl 478 "Rubber products", add
label define rindlbl 487 "Leather: tanned, curried, and finished", add
label define rindlbl 488 "Footwear, except rubber", add
label define rindlbl 489 "Leather products, except footwear", add
label define rindlbl 499 "Not specified manufacturing industries", add
label define rindlbl 506 "Railroads and railway", add
label define rindlbl 516 "Street railways and bus lines", add
label define rindlbl 526 "Trucking service", add
label define rindlbl 527 "Warehousing and storage", add
label define rindlbl 536 "Taxicab service", add
label define rindlbl 546 "Water transportation", add
label define rindlbl 556 "Air transportation", add
label define rindlbl 567 "Petroleum and gasoline pipe lines", add
label define rindlbl 568 "Services incidental to transportation", add
label define rindlbl 578 "Telephone", add
label define rindlbl 579 "Telegraph", add
label define rindlbl 586 "Electric light and power", add
label define rindlbl 587 "Gas and steam supply systems", add
label define rindlbl 588 "Electric-gas utilities", add
label define rindlbl 596 "Water supply", add
label define rindlbl 597 "Sanitary services", add
label define rindlbl 598 "Other and not specified utilities", add
label define rindlbl 606 "Motor vehicles and equipment", add
label define rindlbl 607 "Drugs, chemicals, and allied products", add
label define rindlbl 608 "Dry goods apparel", add
label define rindlbl 609 "Food and related products", add
label define rindlbl 616 "Electrical goods, hardware, and plumbing equipment", add
label define rindlbl 617 "Machinery, equipment, and supplies", add
label define rindlbl 618 "Petroleum products", add
label define rindlbl 619 "Farm prods--raw materials", add
label define rindlbl 626 "Misc wholesale trade", add
label define rindlbl 627 "Not specified wholesale trade", add
label define rindlbl 636 "Food stores, except dairy", add
label define rindlbl 637 "Dairy prods stores and milk retailing", add
label define rindlbl 646 "General merchandise", add
label define rindlbl 647 "Five and ten cent stores", add
label define rindlbl 656 "Apparel and accessories stores, except shoe", add
label define rindlbl 657 "Shoe stores", add
label define rindlbl 658 "Furniture and house furnishings stores", add
label define rindlbl 659 "Household appliance and radio stores", add
label define rindlbl 667 "Motor vehicles and accessories retailing", add
label define rindlbl 668 "Gasoline service stations", add
label define rindlbl 669 "Drug stores", add
label define rindlbl 679 "Eating and drinking  places", add
label define rindlbl 686 "Hardware and farm implement stores", add
label define rindlbl 687 "Lumber and building material retailing", add
label define rindlbl 688 "Liquor stores", add
label define rindlbl 689 "Retail florists", add
label define rindlbl 696 "Jewelry stores", add
label define rindlbl 697 "Fuel and ice retailing", add
label define rindlbl 698 "Misc retail stores", add
label define rindlbl 699 "Not specified retail trade", add
label define rindlbl 716 "Banking and credit", add
label define rindlbl 726 "Security and commodity brokerage and invest companies", add
label define rindlbl 736 "Insurance", add
label define rindlbl 746 "Real estate", add
label define rindlbl 756 "Real estate-insurance-law  offices", add
label define rindlbl 806 "Advertising", add
label define rindlbl 807 "Accounting, auditing, and bookkeeping services", add
label define rindlbl 808 "Misc business services", add
label define rindlbl 816 "Auto repair services and garages", add
label define rindlbl 817 "Misc repair services", add
label define rindlbl 826 "Private households", add
label define rindlbl 836 "Hotels and lodging places", add
label define rindlbl 846 "Laundering, cleaning, and dyeing", add
label define rindlbl 847 "Dressmaking shops", add
label define rindlbl 848 "Shoe repair shops", add
label define rindlbl 849 "Misc personal services", add
label define rindlbl 856 "Radio broadcasting and television", add
label define rindlbl 857 "Theaters and motion pictures", add
label define rindlbl 858 "Bowling alleys, and billiard and pool parlors", add
label define rindlbl 859 "Misc entertainment and recreation services", add
label define rindlbl 868 "Medical and other health services, except hospitals", add
label define rindlbl 869 "Hospitals", add
label define rindlbl 879 "Legal services", add
label define rindlbl 888 "Educational services", add
label define rindlbl 896 "Welfare and religious services", add
label define rindlbl 897 "Nonprofit membership organizs.", add
label define rindlbl 898 "Engineering and architectural services", add
label define rindlbl 899 "Misc professional and related", add
label define rindlbl 906 "Postal service", add
label define rindlbl 916 "Federal public administration", add
label define rindlbl 926 "State public administration", add
label define rindlbl 936 "Local public administration", add
label define rindlbl 950 "Member, armed forces", add
label define rindlbl 951 "Army", add
label define rindlbl 952 "Air Force", add
label define rindlbl 953 "Navy", add
label define rindlbl 954 "Marines", add
label define rindlbl 955 "Coast Guard", add
label define rindlbl 956 "Reserves or National Guard", add
label define rindlbl 957 "Last job armed forces", add
label define rindlbl 960 "Unemployed, last worked 1959 or earlier", add
label define rindlbl 961 "Last worked over 5 years ago", add
label define rindlbl 976 "Unclassified (1920)", add
label define rindlbl 996 "Unknown value in data", add
label define rindlbl 997 "Nonclassifiable", add
label define rindlbl 998 "Industry not reported", add
label values rind rindlbl

label values inctot inctotlbl

label values incwage incwagelbl

label values incbusfm incbusfmlbl

label values incbus incbuslbl

label values incbus00 incbus00lbl

label values incfarm incfarmlbl

label define incnonwglbl 0 "N/A"
label define incnonwglbl 1 "Less than $50 nonwage, nonsalary income", add
label define incnonwglbl 2 "$50+ nonwage, nonsalary income", add
label values incnonwg incnonwglbl

label values incss incsslbl

label values incwelfr incwelfrlbl

label values incinvst incinvstlbl

label values incretir incretirlbl

label values incsupp incsupplbl

label values incother incotherlbl

label values incearn incearnlbl

label define deductslbl 0 "N/A"
label define deductslbl 1 "No deductions", add
label define deductslbl 2 "Deductions-less than half of wages/salary", add
label define deductslbl 3 "Deductions-more than half, but not all, wages/salary", add
label define deductslbl 4 "Deductions-all wages/salary", add
label values deducts deductslbl

label values poverty povertylbl

label define birthmolbl 0 "N/A"
label define birthmolbl 1 "January", add
label define birthmolbl 2 "February", add
label define birthmolbl 3 "March", add
label define birthmolbl 4 "April", add
label define birthmolbl 5 "May", add
label define birthmolbl 6 "June", add
label define birthmolbl 7 "July", add
label define birthmolbl 8 "August", add
label define birthmolbl 9 "September", add
label define birthmolbl 10 "October", add
label define birthmolbl 11 "November", add
label define birthmolbl 12 "December", add
label define birthmolbl 98 "Illegible", add
label define birthmolbl 99 "Missing", add
label values birthmo birthmolbl

label define birthqtrlbl 0 "N/A"
label define birthqtrlbl 1 "Jan-Feb-March", add
label define birthqtrlbl 2 "April-May-June", add
label define birthqtrlbl 3 "July-Aug-Sept", add
label define birthqtrlbl 4 "Oct-Nov-Dec", add
label define birthqtrlbl 8 "Illegible", add
label define birthqtrlbl 9 "Missing", add
label values birthqtr birthqtrlbl

label define marrqtrlbl 0 "N/A"
label define marrqtrlbl 1 "January-February-March", add
label define marrqtrlbl 2 "April-May-June", add
label define marrqtrlbl 3 "July-August-September", add
label define marrqtrlbl 4 "October-November-December", add
label values marrqtr marrqtrlbl

quietly compress
save schwa052.dta, replace

